View Single Post
Old 05-23-2005, 11:53 PM   #1
Zire
Fanatic
Zire can read faster than his screen refreshesZire can read faster than his screen refreshesZire can read faster than his screen refreshesZire can read faster than his screen refreshesZire can read faster than his screen refreshesZire can read faster than his screen refreshesZire can read faster than his screen refreshesZire can read faster than his screen refreshesZire can read faster than his screen refreshesZire can read faster than his screen refreshesZire can read faster than his screen refreshes
 
Zire's Avatar
 
Posts: 522
Karma: 14050
Join Date: May 2003
Location: Astoria, NY
Device: Zire 71
Thumbs up [Apple]Java Embedding Plugin 0.9.2: Force java to run in browsers other than Safari

Have you ever tried to enter Yahoo! chat or Yahoo! games in Firefox for Mac? Do you hit a brick wall and cannot chat or play games? Well your answer is Java Embedding Plugin. I have been using this since I found it on MacUpdate and it is great to not have to switch to Safari in order to play games or chat. It works...it really, really works. Give it a try.

From MacUpdate:

Quote:
Java Embedding Plugin 0.9.2:

The Java Embedding Plugin is a utility (currently in beta release) that allows other web browsers than Apple's Safari to use the most recent versions of Java (1.4.X) on Mac OS X. Currently it supports recent versions of the Mozilla "family" of browsers, when used together with an updated version of Mozilla's MRJ Plugin Carbon (included in this distribution). But in principle any web browser could use one of the Java Embedding Plugin's two APIs to add support for Java 1.4.X.

The current versions of the Java Embedding Plugin and the updated MRJ Plugin Carbon have been tested with Mozilla 1.6 and 1.7.X, Firefox 0.8 and 0.9.X, and Camino 0.7 and 0.8.X on OS X 10.2.8 with Java 1.4.1 and OS X 10.3.5 with Java 1.4.2 Update 1 and Java 1.4.2 Update 2.

The current version (0.8.6) of the Java Embedding Plugin has not been tested with Java 1.4.2 "plain" or on Mac OS X 10.3.3 or 10.3.4. But previous versions of the JEP (e.g. 0.8.2) worked in these environments, and so (I believe) should version 0.8.6.

Apple's Java 1.4.2 and above have one additional requirement, unrelated to the Java Embedding Plugin -- an appropriate version of the JavaPluginCocoa.bundle must be present in the /Library/Internet Plug-Ins folder.

What's New:
Version 0.9.2:

* Fixed a major security hole in the MRJ Plugin that effects all nightlies, alphas and betas of Mozilla-family browsers issued since 2004-04-25, but none of the "released" versions. So, for example, Firefox 1.0.X, Mozilla 1.7.X and Camino 0.8.X aren't vulnerable. In browsers effected by this hole, potentially all security checks are disabled when doing JavaScript-to-Java LiveConnect. Users of vulnerable browsers should upgrade as soon as possible.
* Cleaned up some problems with a bugfix (for Camino's "spurious updates" bug) included in the previous version (0.9.1) of the Java Embedding Plugin.
* A few other minor fixes.

Requirements:
Mac OS X 10.2.8 or later.
Download from here.
Zire is offline   Reply With Quote